diff --git a/CHANGELOG b/CHANGELOG
index 36fc8e3e72..ba4d468775 100644
--- a/CHANGELOG
+++ b/CHANGELOG
@@ -1,6 +1,14 @@
 This is the changelog file for the POCO C++ Libraries.
 
 
+Release 1.8.0.1 (2017-11-11)
+============================
+
+- Reverted change for GH #1828; DeflatingStreamBuf::sync() no longer flushes
+  underlying stream as this causes corruption for some Zip files.
+- PocoDoc: fix for handling compiler configuration for Gradle builds.
+
+
 Release 1.8.0 (2017-11-10)
 ==========================
 
diff --git a/DLLVersion.rc b/DLLVersion.rc
index 2f9f30b5ca..9962668c64 100644
--- a/DLLVersion.rc
+++ b/DLLVersion.rc
@@ -4,8 +4,8 @@
 
 #include "winres.h"
 
-#define POCO_VERSION 1,8,0,0
-#define POCO_VERSION_STR "1.8.0"
+#define POCO_VERSION 1,8,0,1
+#define POCO_VERSION_STR "1.8.0.1"
 
 VS_VERSION_INFO VERSIONINFO
  FILEVERSION POCO_VERSION
diff --git a/Foundation/include/Poco/Version.h b/Foundation/include/Poco/Version.h
index 8749892489..b02960a5e8 100644
--- a/Foundation/include/Poco/Version.h
+++ b/Foundation/include/Poco/Version.h
@@ -35,7 +35,7 @@
 //      Ax: alpha releases
 //      Bx: beta releases
 //
-#define POCO_VERSION 0x01080000
+#define POCO_VERSION 0x01080001
 
 
 #endif // Foundation_Version_INCLUDED
diff --git a/Foundation/src/DeflatingStream.cpp b/Foundation/src/DeflatingStream.cpp
index d40c860043..7349118354 100644
--- a/Foundation/src/DeflatingStream.cpp
+++ b/Foundation/src/DeflatingStream.cpp
@@ -196,7 +196,9 @@ int DeflatingStreamBuf::sync()
 			_zstr.next_out  = (unsigned char*) _buffer;
 			_zstr.avail_out = DEFLATE_BUFFER_SIZE;
 		}
-		_pOstr->flush();
+		// NOTE: This breaks the Zip library and causes corruption in some files.
+		// See GH #1828
+		// _pOstr->flush();
 	}
 	return 0;
 }
diff --git a/VERSION b/VERSION
index 27f9cd322b..5a0e508dd4 100644
--- a/VERSION
+++ b/VERSION
@@ -1 +1 @@
-1.8.0
+1.8.0.1
diff --git a/doc/99100-ReleaseNotes.page b/doc/99100-ReleaseNotes.page
index d73c811ac7..5a0ff6657f 100644
--- a/doc/99100-ReleaseNotes.page
+++ b/doc/99100-ReleaseNotes.page
@@ -1,6 +1,15 @@
 POCO C++ Libraries Release Notes
 AAAIntroduction
 
+!!!Release 1.8.0.1
+
+!!Summary of Changes
+
+  - Reverted change for GH #1828; DeflatingStreamBuf::sync() no longer flushes
+    underlying stream as this causes corruption for some Zip files.
+  - PocoDoc: fix for handling compiler configuration for Gradle builds.
+
+
 !!!Release 1.8.0
 
 !!Summary of Changes
